# Poco::Data

# class BLOBIOS

Library: Data
Package: DataCore
Header: Poco/Data/BLOBStream.h

## Description

The base class for BLOBInputStream and BLOBOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: BLOBOutputStream, BLOBInputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### BLOBIOS

BLOBIOS(
BLOB & blob,
openmode mode
);

Creates the BLOBIOS with the given BLOB.

## Destructor

### ~BLOBIOS

~BLOBIOS();

Destroys the BLOBIOS.

## Member Functions

### rdbuf

BLOBStreamBuf * rdbuf();

Returns a pointer to the internal BLOBStreamBuf.

## Variables

### _buf

BLOBStreamBuf _buf;